org.apache.felix.fileinstall

## Interface ArtifactTransformer

All Superinterfaces:
  ArtifactListener

    public interface ArtifactTransformer
    extends ArtifactListener

Objects implementing this interface are able to convert certain kind of artifacts to OSGi bundles.

### Method Summary

All Methods Instance Methods Abstract Methods
`File` `transform(File artifact, File tmpDir)` Process the given file (canHandle returned true previously) Can return <null> or a pointer to a transformed file.

### Methods inherited from interface org.apache.felix.fileinstall.ArtifactListener

`canHandle`

### Method Detail

#### transform

    File transform(File artifact,
                   File tmpDir)
            throws Exception

Process the given file (canHandle returned true previously) Can return <null> or a pointer to a transformed file.

Throws:
  `Exception`